%global oname policy
Name:          glassfish-policy
Version:       2.5
Release:       5%{?dist}
Summary:       GlassFish WS-Policy implementation
License:       CDDL or GPLv2 with exceptions
URL:           http://policy.java.net/
# svn export https://svn.java.net/svn/policy~policy/tags/policy-2.5
# tar cJf policy-2.5.tar.xz policy-2.5
Source0:       %{oname}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(com.sun.istack:istack-commons-buildtools)
BuildRequires: mvn(com.sun.istack:istack-commons-runtime)
BuildRequires: mvn(com.sun.xml.txw2:txw2)
BuildRequires: mvn(javax.xml.stream:stax-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.java:jvnet-parent:pom:)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.codehaus.woodstox:woodstox-core-asl)
#BuildRequires: mvn(org.apache.maven.plugins:maven-assembly-plugin)
#BuildRequires: mvn(org.apache.maven.plugins:maven-deploy-plugin)

BuildArch:     noarch

%description
The policy project provides the WS-Policy implementation
for Project Metro.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{version}
find -name '*.jar' -delete
find -name '*.class' -delete

%pom_remove_plugin org.codehaus.mojo:buildnumber-maven-plugin
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin
%pom_remove_plugin org.glassfish.build:gfnexus-maven-plugin
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-deploy-plugin


sed -i 's/${artifactId}/${project.artifactId}/' pom.xml

iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.txt.conv && mv -f LICENSE.txt.conv LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%mvn_file :%{oname} %{name}

%build
# https://github.com/FasterXML/woodstox/issues/10
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8 -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt Licenses/license-policy.html

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt Licenses/license-policy.html

%changelog
* Sat Jun 25 2016 gil cattaneo <puntogil@libero.it> 2.5-5
- disable tests failure

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 27 2015 Michal Srb <msrb@redhat.com> - 2.5-2
- Use mvn()-like BRs

* Wed Feb 04 2015 gil cattaneo <puntogil@libero.it> 2.5-1
- update to 2.5
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.3.1-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 2.3.1-2
- switch to XMvn
- minor changes to adapt to current guideline

* Wed Oct 03 2012 gil cattaneo <puntogil@libero.it> 2.3.1-1
- initial rpm
